LINUX.ORG.RU

Будут ли обновляться PHP, Apache, Nginx, MySql

 ,


0

1

Добрый день.

У меня такой нубский вопрос, я поставил на CentOS 6.6 Php, Apache, Nginx, MySql - настроил их как мне надо. Через время при команде:

yum update
когда система будет обновлять все установленные пакеты, то соответственно и Php, Apache, Nginx, MySql будет обновлять и может получиться что тот-же php 5.3 может превратиться в php 5.5? Если да, то можно ли как то зафиксировать мои версии php, apache, nginx, mysql - чтобы система не обновляла их? Если же нет, то думаю не стоит фиксировать установленные версии?

Спасибо.

когда система будет обновлять все установленные пакеты, то соответственно и Php, Apache, Nginx, MySql будет обновлять

Да.

может получиться что тот-же php 5.3 может превратиться в php 5.5?

Нет. За всё своё время жизни с 2011го по 2020й версия php останется неизменной (5.3.3). В обновления включаются только исправления ошибок и уязвимостей (т.е. текущий php 5.3.3-40 за счёт исправлений может превратиться к 20му году в 5.3.3-100, но не в 5.5).

redgremlin ★★★★★ ()
Ответ на: комментарий от erzent

Что тебе помешало загуглить «centos hold package»?
единственное что из этого надо зафиксировать это php, man yum exclude для php в yum.conf.

Правильно ли я понимаю что, чтобы заблокировать php на обновление мне достаточно в секцию [main] добавить:

exclude=php* kernel*
больше ничего не надо?

Nezhnayka28 ()
Ответ на: комментарий от Nezhnayka28

ты на верном пути, прочитай как правильно php писать туда.

erzent ☆☆ ()
Ответ на: комментарий от redgremlin

скоро будет предложение сделать 7.1 centos ему, и тогда уже измениться.

erzent ☆☆ ()
Ответ на: комментарий от redgremlin

Нет. За всё своё время жизни с 2011го по 2020й версия php останется неизменной (5.3.3). В обновления включаются только исправления ошибок и уязвимостей (т.е. текущий php 5.3.3-40 за счёт исправлений может превратиться к 20му году в 5.3.3-100, но не в 5.5).
ты на верном пути, прочитай как правильно php писать туда.

Понятно, большое спасибо за ответы.

Nezhnayka28 ()

Комментарии двух первых коментаторов идиотов можешь даже не читать, у ребят похоже ПМС.

По теме: если ты все ставил из стандартных реп, то спокойно делай yum update и не парься.

GoNaX ★★★ ()
Ответ на: комментарий от Nezhnayka28

exclude=php* kernel*

И будешь сидеть с дырявым ядром ещё 8 лет?

imul ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.